import { r as registerInstance, c as createEvent, h, H as Host } from './index-6334d911.js';

const CorejamFormSubmit = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.formSubmit = createEvent(this, "formSubmit", 7);
  }
  onClick(e) {
    e.preventDefault(),
      this.formSubmit.emit({
        name: this.formId,
        type: "submit",
      });
  }
  render() {
    return (h(Host, { onClick: (e) => this.onClick(e), "data-cy": `submit-${this.formId}` }, h("slot", null)));
  }
};

export { CorejamFormSubmit as corejam_form_submit };
